Package up common functions and files across the dashboards
Closed, ResolvedPublic5 Story Points

Description

We have a bunch of same CSS files + largely same utils.R files across the dashboards. We need to consolidate them into a separate package.

mpopov created this task.Sep 15 2015, 9:03 PM
mpopov updated the task description. (Show Details)
mpopov raised the priority of this task from to Needs Triage.
mpopov added a subscriber: mpopov.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 15 2015, 9:03 PM
Ironholds set Security to None.Sep 17 2015, 8:23 PM
Ironholds edited a custom field.
Ironholds claimed this task.

Change 239409 had a related patch set uploaded (by OliverKeyes):
[WIP] allow the dashboards to install GitHub-hosted R packages

https://gerrit.wikimedia.org/r/239409

Change 239434 had a related patch set uploaded (by OliverKeyes):
Start switchover to a common repository for common functionality

https://gerrit.wikimedia.org/r/239434

Change 239434 merged by Bearloga:
Start switchover to a common repository for common functionality

https://gerrit.wikimedia.org/r/239434

Change 239409 merged by Bearloga:
[WIP] allow the dashboards to install Git-hosted R packages

https://gerrit.wikimedia.org/r/239409

Change 239853 had a related patch set uploaded (by OliverKeyes):
Port all common Rainbow functionality to Polloi

https://gerrit.wikimedia.org/r/239853

Change 239853 merged by Bearloga:
Port all common Rainbow functionality to Polloi

https://gerrit.wikimedia.org/r/239853

Change 239858 had a related patch set uploaded (by OliverKeyes):
Switch Rainbow over to Polloi

https://gerrit.wikimedia.org/r/239858

Change 239880 had a related patch set uploaded (by OliverKeyes):
Switch wetzel over to polloi

https://gerrit.wikimedia.org/r/239880

Change 239880 merged by Bearloga:
Switch wetzel over to polloi

https://gerrit.wikimedia.org/r/239880

Change 239858 merged by Bearloga:
Switch Rainbow over to Polloi

https://gerrit.wikimedia.org/r/239858

Change 239887 had a related patch set uploaded (by OliverKeyes):
Complete polloi switchover

https://gerrit.wikimedia.org/r/239887

Change 239887 merged by Bearloga:
Complete polloi switchover

https://gerrit.wikimedia.org/r/239887

Deskana triaged this task as Normal priority.Sep 23 2015, 5:01 AM
Deskana closed this task as Resolved.
Deskana moved this task from Done to Resolved on the Discovery-Analysis (Current work) board.
Deskana added a subscriber: Deskana.